# Visualization
TKV3d
AIS

# AIS_DataMapofIntegerListOfinteractive Class Reference

`#include <AIS_DataMapofIntegerListOfinteractive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_DataMapofIntegerListOfinteractive (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS_DataMapofIntegerListOfinteractive & | Assign (const AIS_DataMapofIntegerListOfinteractive &Other)
AIS_DataMapofIntegerListOfinteractive & | operator= (const AIS_DataMapofIntegerListOfinteractive &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS_DataMapofIntegerListOfinteractive ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const AIS_ListOfInteractive &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const AIS_ListOfInteractive & | Find (const Standard_Integer &K) const
const AIS_ListOfInteractive & | operator() (const Standard_Integer &K) const
Standard_EXPORT AIS_ListOfInteractive & | ChangeFind (const Standard_Integer &K)
AIS_ListOfInteractive & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | AIS_DataMapofIntegerListOfinteractive (const AIS_DataMapofIntegerListOfinteractive &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS_DataMapofIntegerListOfinteractive::AIS_DataMapofIntegerListOfinteractive | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_DataMapofIntegerListOfinteractive::~AIS_DataMapofIntegerListOfinteractive | ( |  | ) | `[inline]`

Standard_EXPORT AIS_DataMapofIntegerListOfinteractive::AIS_DataMapofIntegerListOfinteractive | ( | const AIS_DataMapofIntegerListOfinteractive & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT AIS_DataMapofIntegerListOfinteractive& AIS_DataMapofIntegerListOfinteractive::Assign | ( | const AIS_DataMapofIntegerListOfinteractive & | Other | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapofIntegerListOfinteractive::Bind | ( | const Standard_Integer & | K,
|  | const AIS_ListOfInteractive & | I
| ) |

Standard_EXPORT AIS_ListOfInteractive& AIS_DataMapofIntegerListOfinteractive::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void AIS_DataMapofIntegerListOfinteractive::Clear | ( |  | ) |

Standard_EXPORT const AIS_ListOfInteractive& AIS_DataMapofIntegerListOfinteractive::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean AIS_DataMapofIntegerListOfinteractive::IsBound | ( | const Standard_Integer & | K | ) | const

void AIS_DataMapofIntegerListOfinteractive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_DataMapofIntegerListOfinteractive::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_DataMapofIntegerListOfinteractive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

AIS_ListOfInteractive& AIS_DataMapofIntegerListOfinteractive::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const AIS_ListOfInteractive& AIS_DataMapofIntegerListOfinteractive::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

AIS_DataMapofIntegerListOfinteractive& AIS_DataMapofIntegerListOfinteractive::operator= | ( | const AIS_DataMapofIntegerListOfinteractive & | Other | ) | `[inline]`

Standard_EXPORT void AIS_DataMapofIntegerListOfinteractive::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapofIntegerListOfinteractive::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- AIS_DataMapofIntegerListOfinteractive.hxx